Bug 13584 - vfs_fruit can leave lock records when testing for netatalk share mode locks - causing panic.
vfs_fruit can leave lock records when testing for netatalk share mode locks -...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-20 21:04 UTC by Jeremy Allison
Modified: 2018-08-24 10:00 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.9.next, 4.8.next, 4.7.next. (7.03 KB, patch)
2018-08-22 22:12 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2018-08-20 21:04:08 UTC
Found by Volker, patch to follow.
Comment 1 Jeremy Allison 2018-08-22 22:12:00 UTC
Created attachment 14443 [details]
git-am fix for 4.9.next, 4.8.next, 4.7.next.
Comment 2 Jeremy Allison 2018-08-22 22:12:14 UTC
Comment on attachment 14443 [details]
git-am fix for 4.9.next, 4.8.next, 4.7.next.

Cherry-picked from master.
Comment 3 Karolin Seeger 2018-08-23 08:38:38 UTC
Pushed to autobuild-v4-{9,8,7}-test.
Comment 4 Karolin Seeger 2018-08-24 10:00:07 UTC
Pushed to all branches.
Closing out bug report.

Thanks!